Use this API to list the tables in a GitLab database and retrieve the database dictionary entry for a single table.

Retrieving the entry for a single table requires administrator access to the instance.

Retrieve dictionary details

GET /api/v4/admin/databases/{database_name}/dictionary/tables/{table_name}

Parameters

NameTypeDescription
database_name
Path, required
StringThe database name
Allowed values: main, ci
Minimum length: 1
table_name
Path, required
StringThe table name

Responses

CodeDescriptionSchema
200OKAPIEntitiesDictionaryTable
400Bad Request—
401401 Unauthorized—
403403 Forbidden—
404404 Not found—

List dictionary tables

GET /api/v4/databases/{database_name}/dictionary/tables

Returns database dictionary tables filtered by database and optional table size

Parameters

NameTypeDescription
database_name
Path, required
StringThe database name
Allowed values: main, ci, sec
Minimum length: 1
table_size
Query
StringFilter by table size classification
Allowed values: small, medium, large, over_limit

Responses

CodeDescriptionSchema
200OKAPIEntitiesDictionaryTable
400Bad Request—
401401 Unauthorized—
403403 Forbidden—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesDictionaryTable

PropertyTypeDescription
feature_categoriesArray of stringsExample: ["database"]
table_nameStringExample: users
table_sizeStringExample: small